{%if warnings %}
  <div class="card text-white bg-warning mb-3">
    <h5 class="card-header">Warnings</h5>
    <div class="card-body">
      <ul id="warning-list">
        {% for file, messages in warnings.items %}
        {%if messages|length > 0%}
          <li> {{ file }} :</li>
          {%if messages%}
            <ul>
              {% for item in messages %}
                <li> {{ item }} </li>
              {%endfor%}
            </ul>
          {%else%}
            <li> {{ messages }} </li>
          {%endif%}
        {%endif%}
        {%endfor%}
      </ul>
    </div>
  </div>
{%endif%}

{%if errors %}
  <div class="card text-white bg-danger mb-3">
    <h5 class="card-header">Error</h5>
    <div class="card-body">
      <ul id="error-list">
        {%if file%}
        <li> {{ file }} :</li>
          <ul>
        {%endif%}
            <li> {{ errors }} </li>
        {%if file%}
          </ul>
        {%endif%}
      </ul>
    </div>
  </div>
{%endif%}

{%if infos %}
  <div class="card text-white bg-info mb-3">
    <h5 class="card-header">Information</h5>
    <div class="card-body">
      <ul id="info-list">
        {%if infos.messages%}
          {% for message in infos.messages %}
            <li>{{ message }}</li>
          {%endfor%}
        {%else%}
          {% for file, messages in infos.items %}
          {%if messages|length > 0%}
            <li> {{ file }} :</li>
            {%if messages%}
              <ul>
                {% for item in messages %}
                  <li> {{ item }} </li>
                {%endfor%}
              </ul>
            {%else%}
              <li> {{ messages }} </li>
            {%endif%}
          {%endif%}
          {%endfor%}
        {%endif%}
      </ul>
    </div>
  </div>
{%endif%}
